<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.bulletin.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
    String sTable_type = "SZKC_CPFL";
%>
<%
    SzData szData = null;
    SzDataInfo szDataInfo = null;

    String sOPERATOR = request.getParameter("OPERATOR");
    String sKEY =  SzConvert.toZeroStr(request.getParameter("KEY"));
    String sReadonly = "";
    boolean bReadonly = false;
    if (sOPERATOR.equals("detail")) {
        sReadonly = "readonly";
        bReadonly = true;
    }
    
    
    //读取数据
    SzLogControlInfo logControlInfo= null;
    SzLogControl logControl = new SzLogControl();
    if (!sKEY.equals("0")) {
    	//详情
    	logControlInfo = (SzLogControlInfo)logControl.getInfoByKey(Integer.parseInt(sKEY));
    }
   if (logControlInfo == null) {
    	logControlInfo = new SzLogControlInfo();
    	logControlInfo.setRZDLID("");
    	logControlInfo.setRZCZRY(szLoginInfo_SESSION.getDLXM());
    	logControlInfo.setRZCZSJ(SzDateHelp.getTimeStr());
    	logControlInfo.setRZQT("");
    	logControlInfo.setRZLX("登陆");
    	logControlInfo.setRZMK("");
    	logControlInfo.setRZXX("");
    	
    	logControlInfo.setRZIP("");
    	logControlInfo.setRZWK("");
    	logControlInfo.setRZNR("");
    	logControlInfo.setRZBZ("");
    	logControlInfo.setRZGSID("");
    	
    
    } else {
    	//logControlInfo.setRZIP(logControlInfo.getRZIP());
    } 

%>
<body>
<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
  <input type="hidden" name="KEY" value="<%=sKEY%>">
  <input type="hidden" name="RZID" value="<%=logControlInfo.getRZID()%>">
  <input type="hidden" name="RZDLID" value="<%=logControlInfo.getRZDLID()%>">
  <input type="hidden" name="RZXX" value="<%=logControlInfo.getRZXX()%>">  
  <input type="hidden" name="type" value="<%=sType%>">
<%@ include file="/share/title.jsp"%>
<table width="100%">
  <tr>
    <td>
    <% if (!bReadonly) { %>
      <%=SzPageHelp.saveButton()%>
    <% } %>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="650" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr>
    <td class="tdClassTitle">操作人员</td>
    <td><input type="text" name="RZCZRY" class="txtClass1R" value="<%=logControlInfo.getRZCZRY()%>" readonly>
    <td class="tdClassTitle">操作类型</td>
    <td><input type="text" name="RZLX" class="txtClass1R" value="<%=logControlInfo.getRZLX()%>" readonly>

	    </td>
  </tr>
  <tr>
    <td class="tdClassTitle">操作时间</td>
    <td><input type="text" name="RZCZSJ" class="txtClass1R" value="<%=logControlInfo.getRZCZSJ()%>" readonly>
    </td>
    <td class="tdClassTitle">模块类型</td>
    <td>
        <input type="text" name="RZQT" class="txtClass1R" value="<%=logControlInfo.getRZQT()%>" <%=sReadonly%> >
    </td>
  </tr>
  <tr>    
  	<td class="tdClassTitle">IP地址</td>
    <td><input type="text" name="RZIP" class="txtClass1R" value="<%=logControlInfo.getRZIP()%>" <%=sReadonly%> >
    </td>
    <td class="tdClassTitle">网卡号</td>
    <td><input type="text" name="RZWK" class="txtClass1R" value="<%=logControlInfo.getRZWK()%>" <%=sReadonly%> >
    </td>
  </tr> 
  <tr>    
    <td class="tdClassTitle">模块ID</td>
    <td><input type="text" name="RZMK" class="txtClass1R" value="<%=logControlInfo.getRZMK()%>" <%=sReadonly%> > 
  	<td class="tdClassTitle">信息ID</td>
    <td><input type="text" name="RZXX" class="txtClass1R" value="<%=logControlInfo.getRZXX()%>" <%=sReadonly%> >
    </td>
  </tr> 

  <tr>
    <td class="tdClassTitle">操作内容</td>
    <td colspan="3">
    <%
    	String sContent = SzConvert.toPageString(logControlInfo.getRZNR());
    	sContent = sContent.replaceAll("<br>","\n");
    	
    %>
      <textarea name="RZNR" class="areaClassContentR" <%=sReadonly%> ><%=sContent%></textarea>
    </td>
  </tr> 
  <tr>
    <td class="tdClassTitle">备注</td>
    <td colspan="3">
      <textarea name="RZBZ" class="areaClass2R" <%=sReadonly%> ><%=logControlInfo.getRZBZ()%></textarea>
    </td>
  </tr>
   <tr>    
    <td class="tdClassTitle">备用</td>
    <td colspan="3"><input type="text" name="RZGSID" class="txtClass2R" value="<%=logControlInfo.getRZGSID()%>" <%=sReadonly%>> 
  </tr>
</table>


</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="type" value="<%=sType%>">
</form>
<script language="javascript" src="../../share/js/commonTool.js"></script>
<script language="javascript">

  function FormSave(formName, url) {
    //检查是否可以保存

    formName.action = url;
    formName.submit();
  }
</script>
</body>
<%
    out.println(SzPageHelp.calendarFrame2());
%>
